curl --request POST \
--url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/updates \
--header 'Content-Type: application/json' \
--data '
{
"page_size": 123,
"lossless": true
}
'import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/updates"
payload = {
"page_size": 123,
"lossless": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({page_size: 123, lossless: true})
};
fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"update_id": "<string>",
"migration_id": 123,
"workflow_id": "<string>",
"record_time": "<string>",
"synchronizer_id": "<string>",
"effective_at": "<string>",
"offset": "<string>",
"root_event_ids": [
"<string>"
],
"events_by_id": {},
"external_transaction_hash": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}POST /v0/updates
Deprecated, use /v2/updates instead. Returns the update history in ascending order, paged, from ledger begin or optionally starting after a record time.
Body
The maximum number of transactions returned for this request.
The transactions returned will either have a higher migration id or the same migration id and a record_time greater than the migration id and record time specified.
Show child attributes
Show child attributes
Whether contract payload should be encoded into json using a lossless, but much harder to process, encoding. This is mostly used for backend calls, and is not recommended for external users. Optional and defaults to false.
Response
ok
An individual item in the update history. May be a transaction or a contract reassignment.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?